=== debian/changelog ===
ros-noetic-xsens-mti-driver (0.2021.4-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Xsens <support@xsens.com>  Fri, 26 Nov 2021 14:13:36 -0000
